package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.ListUtil;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : FIRP0276
 * @Description : 门（急）诊诊断编码未填
 * @Author : 胡敬
 * @Date: 2020-03-14 17:10
 */
@Component
public class FIRP0276 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, Object> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureExtMap();
            List<Map<String, String>> outpatientEmergencyDiags = (List) firstpageStructureMap.get(Content.outpatientEmergencyDiag);
            if (ListUtil.isEmpty(outpatientEmergencyDiags)){
                return;
            }
            for (Map<String, String> outpatientEmergencyDiag:outpatientEmergencyDiags) {
                if (CatalogueUtil.isEmpty(outpatientEmergencyDiag.get(Content.diagCode))){
                    status.set("-1");
                    return;
                }
            }

        }
    }
}